$(document).ready(function(){
	// tab js
    $('.browse-tabs li').click(function(){
        $('.browse-tabs li').removeClass('active');
        $('.content').removeClass('active');
        var tid=$(this).attr('tab');
        $(this).addClass('active');
        $('#' +tid).addClass('active');
    });

    $("#t1 .browse-states").slice(0, 40).show();
    $("#t1 .loadMore_pa").on('click', function (e) {
        e.preventDefault();
        $("#t1 .browse-states:hidden").slice(0, 40).slideDown();
        if ($("#t1 .browse-states:hidden").length == 0) {
            $("#t1 .loadMore_pa").remove();
        }
    });

    $("#t2 .browse-states").slice(0, 40).show();
    $("#t2 .loadMore_pa").on('click', function (e) {
        e.preventDefault();
        $("#t2 .browse-states:hidden").slice(0, 40).slideDown();
        if ($("#t2 .browse-states:hidden").length == 0) {
            $("#t2 .loadMore_pa").remove();
        }
    });

    $("#t3 .browse-states").slice(0, 40).show();
    $("#t3 .loadMore_pa").on('click', function (e) {
        e.preventDefault();
        $("#t3 .browse-states:hidden").slice(0, 40).slideDown();
        if ($("#t3 .browse-states:hidden").length == 0) {
            $("#t3 .loadMore_pa").remove();
        }
    });


	// ----floatin input label in input and select
	$('.floating-control').on('change', function (e) {
		if($(this).is('select')){
			if($(this).val() === $("option:first", $(this)).val()) {
				$(this).parents('.floating-group').removeClass('focused');
			}
			else{
				$(this).parents('.floating-group').addClass('focused');
			}
		}
	});


	//  Patience areas js
	jQuery(".patience-areas-card .patience-areas-main").on("click", function(){
		jQuery(this).find('.patience-areas-list').slideToggle();
		jQuery(this).parent().toggleClass("active");
	})
	jQuery(".patience-areas-card").addClass("active").children(".patience-areas-list").slideDown()
	

	// faq js

	// jQuery(".faq-accordion-item:first-child").addClass("active").children(".faq-content").slideDown();
	jQuery(".faq-accordion-item .faq-menu").on("click", function(){
		if( jQuery(this).parent().hasClass("active") ){
			jQuery(this).next().slideUp();
			jQuery(this).parent().removeClass("active");
		}
		else{
			jQuery(".faq-content").slideUp();
			jQuery(".faq-accordion-item").removeClass("active");
			jQuery(this).parent().addClass("active");
			jQuery(this).next().slideDown();
		}
	});

})